commit:     143d1b6ef04d200c7509306e66ba65af66da4564
Author:     Cheyenne Wills <cwills <AT> witznd <DOT> net>
AuthorDate: Fri Jul 22 19:01:43 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 16:17:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=143d1b6e

dev-lang/icon: 9.5.22e bump

Closes: https://bugs.gentoo.org/862552
Signed-off-by: Cheyenne Wills <cwills <AT> witznd.net>
Closes: https://github.com/gentoo/gentoo/pull/26578
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-lang/icon/Manifest            |   1 +
 dev-lang/icon/icon-9.5.22e.ebuild | 123 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/dev-lang/icon/Manifest b/dev-lang/icon/Manifest
index 2502efd64bd8..c1c6b81ed42c 100644
--- a/dev-lang/icon/Manifest
+++ b/dev-lang/icon/Manifest
@@ -1,2 +1,3 @@
 DIST icon-9.5.20i.tar.gz 3138826 BLAKE2B 
adb4010926f2a7bbfc03c12c1c669ac202c41949556fafdf8f6e41be418e329c5c4b0697a1af0eddd0cb6acd65d03dedabf171be99ba6e5c80a92fac91323027
 SHA512 
31f43f0ff672e81b459c8364960b780733820000c31405ddcd13d14927f065b48d1fae47aeb90a2cd31b65340c77ec7f85e8da27797fb186fa49474e7c8be394
 DIST icon-9.5.21b.tar.gz 3138053 BLAKE2B 
dbd507e28d51458b4e7fcc47088e8e8a4b8e1ef06a03af95180f3398caf7a74215a379d4a1c19632a501849e9a9226bd129f6404d4d20385bd07f474908b0745
 SHA512 
db54b0f858c32877bd72dea8c3cec06de7faaa0393ae56a19f6d6a212337c99ef50d698ef0b486369955f86d657a2e888a8b1c4e0e95328f5a67fbd9dce5d74b
+DIST icon-9.5.22e.tar.gz 3088775 BLAKE2B 
0f0019f4f4bc0ed695bcb99d927c57e1fe041047d2b2e74590d23b4cb032aa4d459f916e3571a294e6d98d68be16bc55828337320173abfb5220fc4470d54903
 SHA512 
2a718999e7fc3f1cc2ad745215a06fecb5865f890ff83e8e61c8408df0bec2dea0c3123ab1edc0c3a9ec3cd415ca0fd116c5ff93c8ce0797a5f2abf5ff79003c

diff --git a/dev-lang/icon/icon-9.5.22e.ebuild 
b/dev-lang/icon/icon-9.5.22e.ebuild
new file mode 100644
index 000000000000..1b2e774b89d3
--- /dev/null
+++ b/dev-lang/icon/icon-9.5.22e.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Very high level language"
+HOMEPAGE="http://www.cs.arizona.edu/icon/";
+
+SRC_URI="https://github.com/gtownsend/icon/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="public-domain HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos"
+IUSE="X"
+
+S="${WORKDIR}/icon-${PV}"
+
+RDEPEND="
+       X? ( x11-libs/libX11:= )"
+DEPEND="
+       ${RDEPEND}
+       X? (
+               x11-libs/libXpm
+               x11-libs/libXt
+       )"
+
+src_prepare() {
+       default
+       # Add CFLAGS and LDFLAGS to Makefiles as needed
+       sed -i -e 's/CFLAGS="$(CFLAGS)"/& LDFLAGS="$(LDFLAGS)"/g' 
ipl/cfuncs/Makefile || die
+       sed -i -e 's/^CFLAGS = \(.*\)/CFLAGS = $(CFLAGS) \1/g' 
ipl/packs/loadfunc/Makefile || die
+       sed -i -e 's/CFLAGS="$(CFLAGS)"/& LDFLAGS="$(LDFLAGS)"/g' 
ipl/packs/loadfunc/Makefile || die
+       sed -i -e 's/-o $LIBNAME $CFLAGS/& $LDFLAGS/g' ipl/cfuncs/mklib.sh || 
die
+       sed -i -e 's/$LIBNAME -fPIC/$LIBNAME -fPIC $LDFLAGS/g' 
ipl/cfuncs/mklib.sh || die
+       sed -i -e 's/$(RLINK)/& $(LDFLAGS)/g' src/runtime/Makefile || die
+
+       # executables in src/common are only used to prep the build
+       sed -i -e 's/$(CC) $(CFLAGS)/& $(LDFLAGS)/g' src/common/Makefile || die
+       # executables in src/rtt are only used to perform the build
+       sed -i -e 's/$(CC) $(CFLAGS)/& $(LDFLAGS)/g' src/rtt/Makefile || die
+
+       # do not prestrip files
+       find "src" -name 'Makefile' -exec sed -i -e '/strip/d' '{}' \; || die
+}
+
+src_configure() {
+       # select the right compile target.  Note there are many platforms
+       # available
+       local mytarget;
+       if [[ ${CHOST} == *-darwin* ]]; then
+               mytarget="macintosh"
+       else
+               mytarget="linux"
+       fi
+
+       # Fails if more then one make job process.
+       # This is an upstream requirement.
+       emake -j1 $(usex X X-Configure Configure) name=${mytarget}
+
+       # sanitise the Makedefs file generated by 'make Configure'
+       sed -i \
+               -e 's:-L/usr/X11R6/lib64::g' \
+               -e 's:-L/usr/X11R6/lib::g' \
+               -e 's:-I/usr/X11R6/include::g' \
+               -e 's:-I/usr/X11R6/include::g' \
+               -e '/^CFLAGS/d' \
+               Makedefs || die "sed of Makedefs failed"
+
+       if use elibc_musl; then
+               append-flags "-D_MUSL"
+       fi
+       append-flags $(test-flags -fno-strict-aliasing -fwrapv)
+}
+
+src_compile() {
+       # Fails if more then one make job process.
+       # This is an upstream requirement.
+       emake -j1 CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_test() {
+       emake Samples
+       emake Test
+}
+
+src_install() {
+       # Needed for make Install
+       dodir /usr/$(get_libdir)
+
+       emake Install dest="${D}/usr/$(get_libdir)/icon"
+       dosym ../$(get_libdir)/icon/bin/icont /usr/bin/icont
+       dosym ../$(get_libdir)/icon/bin/iconx /usr/bin/iconx
+       dosym ../$(get_libdir)/icon/bin/icon  /usr/bin/icon
+       if use X; then
+               dosym ../$(get_libdir)/icon/bin/vib /usr/bin/vib
+       fi
+
+       cd "${S}/man/man1" || die
+       doman "${PN}"t.1
+       doman "${PN}".1
+
+       cd "${S}/doc" || die
+       local DOCS=( *.txt ../README )
+
+       local HTML_DOCS=( *.{htm,gif,jpg,css} )
+       einstalldocs
+
+       # Clean up items from make Install that get installed elsewhere
+       rm -r "${ED}"/usr/$(get_libdir)/${PN}/man || die
+       rm -r "${ED}"/usr/$(get_libdir)/icon/{doc,README} || die
+
+       cd "${S}" || die
+
+       # Install Icon Programming Library files
+
+       # Remove files only needed for building the library before copying
+       rm -v ipl/{BuildBin,BuildExe,CheckAll,Makefile,cfuncs/*.o} || die
+
+       insinto /usr/$(get_libdir)/icon
+       doins -r ipl
+}

Reply via email to